Bug 1349962 - Hide reference to mktemp in libpthread.
Summary: Hide reference to mktemp in libpthread.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc
Version: 7.3
Hardware: All
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Florian Weimer
QA Contact: Sergey Kolosov
URL:
Whiteboard:
: 1447194 (view as bug list)
Depends On:
Blocks: 1473718
TreeView+ depends on / blocked
 
Reported: 2016-06-24 16:20 UTC by Carlos O'Donell
Modified: 2018-04-10 13:57 UTC (History)
6 users (show)

Fixed In Version: glibc-2.17-212.el7
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-04-10 13:56:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0805 None None None 2018-04-10 13:57:56 UTC

Description Carlos O'Donell 2016-06-24 16:20:10 UTC
We need to backport this to hide a reference to mktemp from libpthread.

Note to all of those reading this issue: it cannot be mkstemp, see comments in sem_open.c.

commit cfa8054fbb6212e64d54a3d4926972a6a20e3498
Author: Andreas Schwab <schwab@suse.de>
Date:   Tue Jan 15 14:36:09 2013 +0100

    Hide reference to mktemp in libpthread

Comment 2 Carlos O'Donell 2017-07-20 08:27:47 UTC
*** Bug 1447194 has been marked as a duplicate of this bug. ***

Comment 11 errata-xmlrpc 2018-04-10 13:56:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0805


Note You need to log in before you can comment on or make changes to this bug.